<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    第一个数：
    <input type="text" name="" id="num1" />
    <input type="button" value="+"/>
    第二个数：
    <input type="text" name="" id="num2"/>
    <input type="button" value="=" id="getbtn"/>
    <input type="text" name="" id="sum" />

    <script>
        var onum1=document.getElementById("num1");
        var onum2=document.getElementById("num2");
        var osum=document.getElementById("sum");
        var ogetbtn=document.getElementById("getbtn");
        ogetbtn.onclick=function() {
            osum.value=Number(onum1.value)+Number(onum2.value);
        }

    </script>
</body>
</html>